module git.insit.tech/psa/rtsp_reader-writer/writer

go 1.24.1

require (
	git.insit.tech/sas/rtsp_proxy v0.0.0-20250328095933-2642c2a10d0c
	github.com/Eyevinn/mp4ff v0.47.0
	github.com/bluenviron/gortsplib/v4 v4.12.3
	github.com/bluenviron/mediacommon v1.14.0
	github.com/bluenviron/mediacommon/v2 v2.0.0
	github.com/gen2brain/aac-go v0.0.0-20230119102159-ef1e76509d21
	github.com/golang/snappy v1.0.0
	github.com/pion/rtp v1.8.13
	github.com/prometheus/client_golang v1.21.1
	go.uber.org/zap v1.27.0
	gopkg.in/yaml.v3 v3.0.1
)

require (
	github.com/asticode/go-astikit v0.52.0 // indirect
	github.com/asticode/go-astits v1.13.0 // indirect
	github.com/beorn7/perks v1.0.1 // indirect
	github.com/cespare/xxhash/v2 v2.3.0 // indirect
	github.com/google/uuid v1.6.0 // indirect
	github.com/klauspost/compress v1.18.0 // indirect
	github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822 // indirect
	github.com/pion/randutil v0.1.0 // indirect
	github.com/pion/rtcp v1.2.15 // indirect
	github.com/pion/sdp/v3 v3.0.11 // indirect
	github.com/prometheus/client_model v0.6.1 // indirect
	github.com/prometheus/common v0.63.0 // indirect
	github.com/prometheus/procfs v0.16.0 // indirect
	github.com/zaf/g711 v1.4.0 // indirect
	go.uber.org/multierr v1.11.0 // indirect
	golang.org/x/net v0.38.0 // indirect
	golang.org/x/sys v0.31.0 // indirect
	google.golang.org/protobuf v1.36.6 // indirect
	gopkg.in/natefinch/lumberjack.v2 v2.2.1 // indirect
)
